Insert a meaningful description for this merge request here.  What is the
new/changed behavior?  Which bug was fixed?

---

Add the text above this line to the git comment.

# Check list for the author #

- [ ] All tests pass. (style, unit/integration, static code analysis)
- [ ] What is the main focus for the reviewer?  What is the core intent of this
      MR?
- [ ] How to set up a test environment.
- [ ] Annotations in code (Gitlab comments)
  - Intent of new code
  - Problems with old code
  - Why this implementation?

# Check list for the reviewer #

- [ ] Tests pass
- [ ] Do I understand the intent of this MR?
- [ ] Does the test environment setup work?
- [ ] Is the intended behavior reproducible in the test environment?
- [ ] Code overview: Which functions/classes are relevant for understanding the MR?
- [ ] Work through the open comment threads.
- [ ] Are the doc strings / comments up-to-date?  Or have there been behavioral
  changes without amending the documentation?
- [ ] Are there spezifications? Are they satisfied?
